#ifndef MEMS_H
#define MEMS_H

#include "mtypes.h"

extern UWORD ems_frameseg;
extern int ems_active;


int EMS_Detect(void);
UBYTE EMS_Version(void);
int EMS_FreePages(void);
int EMS_TotalPages(void);
int EMS_FrameSeg(void);
int EMS_Alloc(int frames);
void EMS_Free(int handle);
void EMS_Map(int handle,int logp,UBYTE physp);
char EMS_Save_Map(int handle);
char EMS_Restore_Map(int handle);

/******************************

	Higher level functions:

******************************/


int EMS_Init(void);
int EMS_AllocMem(long size);
// void EMS_CopyToEMS(char far *src,long size,int handle,long offset);

#endif
